#include <bits/stdc++.h>
using namespace std;
int n,k,niz[20005];

int main(){
    cin >> n >> k;
    for(int i=1;i<=n;i++){
        cin >> niz[i];
    }
    for(int i=1;i<=n-1;i++){
        if(niz[i]==k){
            cout << niz[i+1] << endl;
            return 0;
        }
    }
    cout << niz[1] << endl;

    return 0;
}